WebM Codec SDK

Data Fields
vpx_codec_ctx Struct Reference
Common Algorithm Interface

Codec context structure. More...

`#include <vpx_codec.h>`

## Data Fields
const char * | name
vpx_codec_iface_t * | iface
vpx_codec_err_t | err
const char * | err_detail
vpx_codec_flags_t | init_flags
union { |
const struct vpx_codec_dec_cfg * dec |
const struct vpx_codec_enc_cfg * enc |
const void * raw |
} | config
vpx_codec_priv_t * | priv

## Detailed Description

Codec context structure.

All codecs MUST support this context structure fully. In general, this data should be considered private to the codec algorithm, and not be manipulated or examined by the calling application. Applications may reference the 'name' member to get a printable description of the algorithm.

## Field Documentation

## ◆ name

const char* vpx_codec_ctx::name

Printable interface name

## ◆ iface

vpx_codec_iface_t* vpx_codec_ctx::iface

Interface pointers

## ◆ err

vpx_codec_err_t vpx_codec_ctx::err

Last returned error

## ◆ err_detail

const char* vpx_codec_ctx::err_detail

Detailed info, if available

## ◆ init_flags

vpx_codec_flags_t vpx_codec_ctx::init_flags

Flags passed at init time

## ◆ dec

const struct vpx_codec_dec_cfg* vpx_codec_ctx::dec

< Decoder Configuration Pointer Encoder Configuration Pointer

## ◆ [union]

union { ... } vpx_codec_ctx::config

Configuration pointer aliasing union

## ◆ priv

vpx_codec_priv_t* vpx_codec_ctx::priv

Algorithm private storage

The documentation for this struct was generated from the following file:

- vpx/vpx_codec.h